Subject: RE: stat vs read: file sizes
From: [email-masked] (Sergey Okhapkin)

5 Jul 1997 06:56:28 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <01BC8965.10B54A70.cygnus.gnu-win32@sos>
Original-To: "[email-masked]" <[email-masked]>,
        "'Theodore W. Leung'"
	 <[email-masked]>
Encoding: 17 TEXT
Original-Sender: [email-masked]

Theodore W. Leung wrote:
> I've been working on porting glimpse to GNU-Win32, and I've run into a
> problem.  glimpse uses a technique where stat is called to determine the
> file size, S, and then read is called to read S bytes from the file.  The 
> problem is that reading S bytes from the file returns a size T less than S.
> This number appears to be off by the number of lines in the file (as
> reported by NTEmacs).  I'm guessing that there is some CR/LF mapping going
> on behind the
> scenes.  Short of rewriting the glimpse code, is there a way/mode to handle
> this?

Use binary mode mounts to avoid the problem. Do you really need cr/lfs instead of single lf?

-- 
Sergey Okhapkin, http://www.lexa.ru/sos
Moscow, Russia
Looking for a job

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".